What is Mamba Diagnostic?

What is Mamba Diagnostics?

 Top Next

Mamba Diagnostics allows Health Care Practitioners to manage the results of clinical tests for clients.

· A client can have a number of clinical episodes, each with a number of test results.
· Optionally, the result of a test may be calculated from the results of other tests.
A client with test results

A client with test results
· A client can be grouped into an unlimited number of categories.
2 client categories

2 client categories
· Rules are defined so that specific diagnosis and suggestions can be reported on the basis of the test results, the client categories, and the client attributes age, sex, height and weight.
A rule defined in Common Knowledge

A rule defined in Common Knowledge

Define your own comments and report templates.

· Practitioners may edit the standard Comments that are included in the report as a result of a specific diagnosis and suggestion.
· Practitioners can add standard Comments that can be incorporated into a Treatment Plan.
· Report headers and footers may be customised by the practitioner.
A comment describing Tyrosine

A comment describing Tyrosine

Note that the specification of the rules are not performed within Mamba Diagnostics.

Documentation for the provided rules can be obtained using the Help | Rules Documentation.


Why is it called Mamba Diagnostics?

 Top Previous Next

The Eastern Green Mamba is indigenous to the eastern side of southern Africa. It is bright green snake that lives in trees. It is shy and non-aggressive.

Snakes are an ancient symbol of divine wisdom, royalty, healing and sacredness in many diverse, ancient cultures from Egypt, Middle East, Celts, India, North America. It is part of the creation stories of many Australian Aboriginals cultures and the Aztecs.


Obtaining Assistance

Mamba Diagnostics

Assistance for using Mamba Diagnostics can be obtained by:

· Pressing F1 to display help or
· Clicking Help | Show Help or
· Sending an email. An email can be sent from the About window. Click the menu items Help, About then select the link to initiate an email.

Common Knowledge

The documentation for the defined rules be obtained by:

· Click Help | Rules Documentation.
· The Rules Documentation is displayed in your web browser.


Installation

Installation of Mamba Diagnostics

Database Configuration File

The Mamba Diagnostics installation program requests the location of the Database Configuration File.

This is normally stored in the folder C:\Databases. This stores information about the databases. It is possible to have a number of independent databases storing test results.

Database Location

The installation program requests the location of the database.

This is normally stored in the folder C:\Databases\MambaDB.

Database Name

The database name is a label used to distinguish multiple databases that store Mamba Diagnostics test results.

The recommended name for the database is Mamba_data.

During installation, sub folders are created within the database directory to store the required files.

Note that a file extension is the part of the file name that follows the final period in the file name. For example, the file client.doc has a file extension of doc.


Logging On

Mamba Diagnostics is installed with the users admin and op.

The passwords are also admin and op.

The admin user has a security level of 4 that allows the user to

· add new users
· alter registration details

These passwords should be changed after installation.

Logon1

When new users are created, the password is not defined.

When a new user logs on for the first time, do not enter a password. The user will not be able to proceed until a new password is entered.

Logon2


Registration

The registration details are found in the System Information window.

The registration number depends upon:

· the organisation name
· the number of users that can concurrently use the database - 0 means that the number of users is unlimited
· the product name that is stored in the application file
· the major version number that is stored in the application file. The version number can be obtained by clicking Help | About.
· licence expiry date

Registration Information

Only a user with a security level of 4 can change the registration details.

An unregistered version can post a maximum of 1 client episode for 7 different clients.


Check Box

Standard check boxes are used where an option may be:

· True or False
· Yes or No
· Set or Reset

Toggle the selected option by:

· clicking with check box
· pressing the space bar when the check box is selected

Checkbox1

A check box may be shown with the checkbox being replaced by an image. You still toggle the checkbox in the same manner.

Note the border around the text when a checkbox is selected.


Drop down Lists

A drop down list is displayed by:

· clicking the down arrow at the right of the text box or
· pressing <alt> with the down arrow.

To select an item from the list:

· Click the required item or
· use the up and down arrows then press enter
Drop down list showing available Practitioner Types

Drop down list showing available Practitioner Types

Press <esc> to close the list without selecting an item.


Calendar

Date and time may be keyed in or selected from a calendar.

· Smart data entry: auto-advances when enough characters have been entered.
· The current date and time is entered when the space key is pressed.
· Display the date in the format of your choice using a format mask.
· Spins up/down with the arrow keys and preserves the display format during spinning.
· The date and time separators are automatically entered.

Date1

· Click on the month or the year to display a popup menu.
· Home, End, arrow keys, page up and down, as well the numeric + and - keys are functional.

Calendar


Memo Fields

Memo fields can be edited by the Rich Text editor.

Existing documents in the Rich Text format can be loaded into the Rich Text editor.

The Rich Text Format (or RTF format) is a document file format developed by Microsoft. Most word processors are able to read and write RTF documents.

· Click in a memo field.
· Press F2 to display a Rich Text editor.

Information from the database can be inserted into some rich text memo fields.

Rich Text Editor

Rich Text Editor

· Click the Insert menu item to display a list of available database fields.
· Select the required field from the list.
· The field is inserted into the document enclosed by brackets.


Grids

Grids

Grids allow the display and entry of tabular information.

Grids may be:

· single select
· multi-select where more that 1 row can be selected.

Selecting rows

· To select a row in a grid, click on the Indicator Bar.
· To select multiple rows for a multi-select grid, hold the shift (or control) button whilst the Indicator Bar is clicked
An example grid

An example grid

Indicator Icons

Below are the indicator icons that are shown in the Indicator Bar.

 | The current row. In a single select grid, this row is also the selected row.
 | A selected row. (Only occurs in a multi-select grid)
 | The current row that is also a selected row. (Only occurs in a multi-select grid)
 | The current row is being edited.
* | A new row is being edited.


Speed Buttons

Database Navigation

Go to the first row

Go to the previous row

Go to the next row

Go to the last row

Database Actions

Inserts a new row in the current table.

Deletes the currently selected rows in the current table.

Posts (saves) the modified changes to the table.

Cancels the modifications to the table.

Edits the selected record.

Retrieves the latest information from the database.

Database Utilities

Bookmarks the current client.

Returns to the client that is bookmarked.

Locate a client. A client can be searched based on the contents of any field.

Filters the clients. Clients that do not meet the filter criteria are hidden allowing a subset of the clients to be viewed. Filter criteria are based on the Client's Practitioner Type, Sex and State.

Displays a window that allows the category of the selected record to be edited. For example, allows the Category of the selected item to be edited.


Category Lists

A practitioner defines Category Lists that allow clients to be classified in a number of categories.

A practitioner may defined any number of categories and defines the allowable options for each category.
Valid options for Diet Types

Valid options for Diet Types

The example shows 3 Category Lists:

· Blood Group
· Diet Type
· Metabolic Type

The list of valid options is shown for the highlighted Diet Type category.

Edit Category

· Click the Edit Category List button to edit, insert and delete the Categories.

EditCategoryList1

Edit the Item List

· Select the Category in the left panel.
· Click a Database Action buttons to edit, insert and delete the items in the selected category.

EditCategoryList3


Practitioner Types

A practitioner maintains a list of Practitioner Types.

If a Client is assigned Practitioner Type then the client may be assigned as a practitioner of another client.
List of Practitioner Types

List of Practitioner Types


Tests

A practitioner maintains a list of tests that may be performed on behalf of a client.

Examples of tests are:

· Urine pH
· Blood pH
· Triglycerides
· Cholesterol

Name

The name of the test.

Abbreviation

A 12 character abbreviation for the test.

Sequence Number

Determines the order that the tests are displayed and reported.

Reams Number

A number from 1 - 7 that relates the test to 1 of the 7 Reams's tests.

Number?

If Yes the the result of the test must be a number.

Otherwise, the result of the test is selected from a list available results.

Enabled?

If Yes then the test is recorded and reported for a client.

Reported?

If Yes, then the test is reported for a client. The test must be enabled before it can be reported.

Number?

If Yes, then the test result is a number.

Option?

If Yes, then the test result is selected from a list of valid options.

Calculated?

If Yes, the result of the test is calculated from the results of other tests.

Unit of Measure

Optional text which describes the units that the test is measured in. For example, g/dl, mcg/ml.

Format

Determines the formatting of a numeric result.

· # - If the test result is a digit in the position corresponding to the # character then the actual digit is displayed. Otherwise, nothing is displayed.
· 0 - If the test result is a digit in the position corresponding to the 0 character then the actual digit is displayed. Otherwise, the digit 0 is displayed.
· . - the decimal point.

For example,

· result 12.3 with format of ##0.00 is displayed as 12.30.
· result 0.0128 with format #.## is displayed as .013.
· result 12.987 with format ### is displayed as 13.

Min Value

A warning is displayed if a test result is entered less than the minimum value.

Max Value

A warning is displayed if a test result is entered greater than the maximum value.

Ideal

Text that describes the ideal result for a test.

Rule

The rule that processes the test result.

Result Class

If the result of a test is a number then a range of results may be assigned a Result Class. This is a string value that can be used for reporting.

For example, a result in the range 5 - 7 is assigned a result class of Normal.

Result Options

A list of possible results if Number is No.

For example, Nil, Trace, +, ++, +++ is a list of result options for a non-qualitative test.


Analysis

A practitioner maintains a list of the analysis that may be performed on tests.

Each analysis executes a rule that evaluates the results of 1 or more tests.

Name | The name of the analysis.
Abbreviation | A 12 character abbreviation for the analysis.
Sequence Number | Determines the order that the analysis results are displayed and reported.
Reported? | If Yes then the analysis results are reported for a client.
Rule | The rule that processes the required test results.


Comments

Comments are named blocks of formatted text.

Comments are grouped into Comment Categories to facilitate their management.

Comments are included on reports in response to rules that specify a diagnosis and suggestion.

The practitioner also selects comments to include on the report by selecting appropriate treatments.

Comments organised with Categories

Comments organised with Categories

Calcium Notes


Templates

Templates are named blocks of formatted text that is printed at specified points in the Client's report.

Name

The name of the template.

Description

The description of the template.

Type

The type determines the database information that may be included in the Notes.

The type is selected from the following list:

· Client Notes - Information relating to the client, practitioner and episode can be included in the Notes. This is the required type for templates used as the Report Title, Page Header and Report Summary.
· Result Notes - Information relating to the client, practitioner, episode and the test details can be included in the Notes. This is the required type for templates that are used as the header for the Test report.
· Analysis Notes - Information relating to the analysis details can be included in the Notes. This is the required type for templates that are used as the header for the Analysis report.
· Treatment Notes - Information relating to the client, practitioner and episode can be included in the Notes. This is the required type for templates that are used as the header for the Treatment report.

Notes

The formatted text that may include database fields. The database fields are shown within angled brackets. For example,the field <FirstName> is replaced by the actual First Name of the person when the report is printed.


Configuration

Date Format

The date format is selected from a predefined list.

Time Format

The time format is selected from a predefined list.

Height Units

The height units are selected from a predefined list.

Weight Units

The weight units are selected from a predefined list.

Epoch Year

A year in the range of 1900 - 1999.

If a 2 digit year is entered which is less than the last 2 digits of the Epoch Year then the year is translated to 20nn.

If a 2 digit year is entered which is greater than or equal to the last 2 digits of the Epoch Year then the year is translated to 19nn.

Calculated Color

Select the color used to highlight test results that are calculated. Only used if the option Highlight Calculated Tests? is checked.

Highlight Calculated Tests?

If checked, then the results of the calculated tests are highlighted.

Report Title

When a client report is printed, the assigned template is printed as the report title.

Page Header

When a client report is printed, the assigned template is printed as the page header.

Test Report

When a new client episode is created, the assigned template is included as the header for the test report.

Analysis Report

When a new client episode is created, the assigned template is included as the header for the analysis report.

Treatment Report

When a new client episode is created, the assigned template is included as the header for the treatment report.

Report Summary

When a client report is printed, the assigned template is printed as the report title.

Rules File

The file that contains the rules for evaluating results.

Report Folder

Exported PDF reports are saved in the specified folder.

Report Layout Folder

Report Layouts files are files with the suffix of .rtm. They contain the formatting and the layouts for reports.

The Report Layout files are located in the specified folder.

Template Folder

Rich Text files can be saved and loaded from the Rich Text Editor.

The default folder for these Rich Text files is the Template Folder.

Email Address

Your organisations email address.

Email Password

You password for your Internet Service Provider.

Host Address (SMTP)

This is your Mail Server's address for sending emails. This is found in the configuration of the Account Settings in your email program. An example is mail.netcentral.com.au


Users

User details are modified by by users that have a security level of 4.

List of Users

List of Users

If a password is forgotten then:

· delete the user
· create a new user. The new user will not be assigned a password.
· The new user needs to log on with a blank password and enter a new password.


Clients

A client is a person whose information is recorded in Mamba Diagnostics.

Client Episodes

A client episode occurs at a particular time.

When a new client episode is created:

· the height and weight from the previous client episode is copied into the new client episode,
· the headers for the Test, Analysis and Treatment reports are copied from the Report templates.
· test result records are added for each test that is enabled.

Test Results

Results of tests are recorded for a client as a test result.

The results of these tests are recorded.

Test results can either be:

· a number
· descriptive text that is selected from a list of valid options

The results of the tests are passed to the rules engine for evaluation.

Client Categories

A practitioner may define Category Lists that allow clients to be classified in a number of categories.

A practitioner may defined any number of categories and the allowable options for each category.

Examples of a Client Category are Blood Groups and Diet Type.

Client Categories are for information that does not usually change over time.


Practitioners

A Practitioner is a client that has been assigned a Practitioner Type.

The list of available Practitioner Types is defined in by clicking the menu items Setup, Practitioner Types.

To assign a practitioner to a client:

· Select the Client tab.

Client tab
· Click the button to the right of the Practitioner field.
Assign Practitioner to the client

Assign Practitioner to the client
· The Lookup Practitioner window is displayed.
· Enter the first character of the Practitioners Last Name to locate the Practitioner.
· Click OK to assign the Practitioner to the client.
Lookup the Practitioner

Lookup the Practitioner


Treatments

The suggested treatment regime is selected for a client episode by clicking the menu items Episode, Treatment.

Assigning Treatments

1. A list of all available comments is shown on the right panel. The list may be sorted either by Category or Alphabetically.
2. Select the required treatment in the right panel and click the Add button to include the treatment in the Client Report.
3. Use the Move Up and Move Down buttons to change the order of the treatments.


Calculate Results

Test results can be calculated by the Rules Engine based upon the results of other tests.

· Click the menu items Episode, Calculate Results to perform the calculation.

The calculation is performed automatically when a report is printed.


Client Reports

Printing a Report

After ensuring that the report headers and footer is correct and that the appropriate treatment has been entered the report can be printed or emailed.

To print a report:

· Click the menu items Episode | View report
· Click the printer in the top left corner to print the report.

Create a PDF Report

A report may saved as a PDF file. It is stored in the location specified in the Configuration window.

The file is located in the folder specified in the Report Folder field of the Configuration window.

The file is named <LastName><FirstName>-ddmmmyy_hhmm.pdf where the date and time is the episode date and time.

Only the last PDF report is retained. The previous report is deleted when the client report is exported to the PDF file.

To create a PDF file:

· Click the menu items Episode | Export to PDF
· A message is displayed showing the name of the PDF file.

Viewing the PDF File

A PDF file that has been created can be viewed, printed or emailed.

To view the PDF file for the client episode:

· Click the menu items Episode | View PDF

Email the PDF File

A PDF file that has been created can be emailed.

To email the PDF file for the client episode:

· Click the menu items Episode | Email Report

Structure of Client Report

A client report consists of 8 sections:

1. Page Header
a. The Page Header template is printed at the top of each page.
2. Report Title
a. Client, Episode and Practitioner data fields can be inserted into the Report Title.
b. The Report Title template is printed at beginning of the report.
3. Client Category List
a. The list of the client categories is printed.
4. Test Report
a. Client, Episode, Test Result, Test and Practitioner data fields can be inserted into the Test Report.
b. The Test Report template is loaded as the Test Report header when a new client episode is created.
c. The Test Report header for each client episode can be amended.
d. The test results follow the Test Report header.
5. Analysis Report
a. Sex, Age, Hight, Weight, the Client Categories and Test Results data fields can be inserted into the Analysis Report.
b. The Analysis Report template is loaded as the Analysis Report header when a new client episode is created.
c. The Analysis Report header for each client episode can be amended.
d. The analysis results follow the Analysis Report header.
6. Treatment Report
a. The Treatment Report template is loaded as the Treatment Report header when a new client episode is created.
b. The Treatment Report header for each client episode can be amended.
c. The treatment program follows the Treatment Report header.
7. Report Summary
a. Client, Episode and Practitioner data fields can be inserted into the Report Summary.
b. The Report Summary template is printed at the end of the report.
8. Page Footer
a. The Page Footer is printed at the bottom of each page. The Page Footer cannot be modified.


Reports

Report Layout Files

The layout for each report is stored in a file in the Report Layout folder. The location of this folder is defined in the Configuration window.

The file extension (the characters after the final period of the file name) of a Report Layout file is rtm. For example, ClientReport.rtm is a Report Layout file for the Client Report.

Additional reports or amendments to existing reports can be distributed by copying the report layout files to the Report Layout folder.

Running a Report

1. Select the menu items File, View Reports.
2. Select the required report and click OK or
double click the required report.
A list of available reports

A list of available reports


What are Business Rules?

Business rules determine how insurance companies calculate premiums, how banks assess risk, how finance companies balance portfolios, and how retailers set pricing levels. They allow pathologists to identify abnormalities, engineers to control processes, logistics companies to generate schedules and financial advisors to recommend investment strategies.

Examples of some Business Rules

1. If the client is a Primary Producer then apply a 30% discount.
2. If the Time interval between successive R pulses is regular and the shape of successive QRS pulse complexes are identical and the time interval between successive QRS pulses are the same and the heart rate is less than 40 beats per minute then the diagnosis is Idioventricular rhythm.
3. If the Product Code is 99 then the voucher is a Housing Loan Credit.
4. If Payment is overdue by more than 4 weeks, send an Overdue Notice.

.

An example rule for the Carbohydrate test is shown below.

Rules for Carbohydrate

Rules for Carbohydrate

The results of the Carbohydrate test are processed according to the following rules. The formatted comments that are assigned to the Diagnosis and Suggestion are reported if the result of the test is within the range specified.

Rule 1 | IF Carb is in the set [0.3:1) THEN Diagnosis = 'Carbohydrate1', Suggestion = 'CarbA'
Rule 2 | IF Carb is in the set [1:1.5) THEN Diagnosis = 'Carbohydrate2', Suggestion = 'CarbA'
Rule 3 | IF Carb is in the set [1.5:2.1) THEN Diagnosis = 'Carbohydrate3', Suggestion = 'CarbB'
Rule 4 | IF Carb is in the set [2.1:5.5) THEN Diagnosis = 'Carbohydrate4', Suggestion = 'CarbB'
Rule 5 | IF Carb is in the set [5.5:8.5) THEN Diagnosis = 'Carbohydrate5', Suggestion = 'CarbB'
Rule 6 | IF Carb is in the set [8.5:13] THEN Diagnosis = 'Carbohydrate6', Suggestion = 'CarbB'


How are Rules Defined?

Rules

The Processing Rules are defined in a Rule Management System that is separate from the database of the client results.

Rules can be defined in a number of ways.

Decision tables

An example rule for the Carbohydrate test is shown below.

DecisionTable

In the example above, the carbohydrate result is above 0.3 but less than 1. The formatted comments named Carbohyrdate1 and CarbA are reported as the Diagnosis and Suggestion respectively.

Decision Trees

The decision tree below specifies the comment named Both Low is reported if both the Saliva pH and Urine pH is less than 6.0.

Decision Grid

A decision grid can be used to determine the diagnosis and suggested course of action based on the results of 2 or more tests. The result 1A refers to a predefined comment that is reported when both the Ammonia and Nitrogen results are both 1.


About the Database

The database is more than the collection of your data. It also contains information about the

· structure of the data
· database users
· security
· how the data is retrieved
· backup and restoration of the database.

Database Configuration File

The database configuration file contains information about:

· database users
· security
· the available databases and their location.

The file extension (that is the characters after the final period in the file name) for Elevate DB Configuration files is .EDBCfg.

Database Catalogue

The information regarding the structure of the database is stored in the same location as the database. This defines the information that is stored for each table. It has a file extension of .EDBCat.


Database Administration

 Top Previous

Elevate DB Manager

The database used is Elevate DB from Elevate Software. The management of the database is performed by Elevate DB Manager.

Click the Elevate DB Manager icon on the desktop or in the Start Menu to start the application.

ElevateDB

Backup the Database

The database can be backed up from with the application.

1. Click Utilities.
2. Click Backup.
3. The database is backed up to the location specified in the Backup Folder.

Repair a Table

To restore a table in the event of errors on a table.

1. Select ElevateDB Manager in the left panel.
2. Click the Default Session in the left panel.
3. Click the Connect Session in the right panel.
4. Click the Expand Button [+] next to Databases in the left panel to list the available databases.
5. Select the database in the left panel.
6. Click Open Database in the right panel.
7. Click the Expand Button [+] next to Tables in the left panel to list the available tables.
8. Select the table needing repair in the left panel.
9. Click Repair Table in the right panel.
10. Messages are displayed regarding the success of the repair. Click Close.
11. Close the Elevate DB Manager.

Create a Store

A store is a named folder. You can give a short name to a folder location. To restore a database, the backup file must resided in the folder that is referred to by a store.

To define a store:

1. Click on the Stores folder in the left panel.
2. Click Create New Store in the task panel.
3. The Create New Store dialog is displayed.
4. Enter the name of the Store.
5. Click Local Store tab
6. Locate the folder for the local store
7. Click OK.

Restore a Database

To restore a database in the event of unrecoverable database errors.

1. Select ElevateDB Manager in the left panel.
2. Click the Default Session in the left panel.
3. Click the Connect Session in the right panel.
4. Click the Expand Button [+] next to Databases in the left panel to list the available databases.
5. Select the database in the left panel.
6. Click Restore Database in the right panel. The database must be closed to perform a restore.
7. The Restore Database window is displayed.
8. Select the Store Mamba backups.
9. A list of backup files is displayed. Select the required backup file.

10. Click the Selection tab to display backup options

11. Information in one table is often related to information in other tables so it is nearly always imperative to restore all the tables.
12. Ensure that the Restore Catalog from Backup is checked.
13. Click OK.
14. Close the Elevate DB Manager.

Modifying the Configuration File

The location of the configuration file and the temporary files used by the database must be accessible to all computers using the database.

To modify these locations:

1. Select ElevateDB Manager in the left panel.
2. Click Edit Options in the right panel.
3. Click the Configuration tab and change the Configuration File Folder if necessary.
4. Click the SQL tab and change the Temporary Tables Folder if necessary.
5. Click OK.
6. Close the Elevate DB Manager.